osl::checkmate::DfpnRecord Class Reference

`#include <dfpnRecord.h>`

Inheritance diagram for osl::checkmate::DfpnRecord:

## Public Member Functions

| DfpnRecord ()
| DfpnRecord (PieceStand black, PieceStand white)
void | setFrom (const DfpnRecordBase &src)
unsigned int | proof () const
unsigned int | disproof () const
void | setProofPieces (PieceStand a)
void | setDisproofPieces (PieceStand a)
const PieceStand | proofPieces () const
const PieceStand | disproofPieces () const
Public Member Functions inherited from osl::checkmate::DfpnRecordBase
| DfpnRecordBase ()

## Public Attributes

CArray< PieceStand, 2 > | stands
Public Attributes inherited from osl::checkmate::DfpnRecordBase
ProofDisproof | proof_disproof
uint64_t | solved
| 手番に否定的に結果が判明したリスト loop は除く
uint64_t | dag_moves
| 合流を引き起こす指手一覧
Move | best_move
PieceStand | proof_pieces
unsigned int | node_count
unsigned int | tried_oracle
Move | last_move
| 合流検知+simulation中の簡易 無限ループ回避
PieceStand | proof_pieces_candidate
| solved のmax
unsigned int | min_pdp
uint32_t | working_threads
Square | last_to
int8_t | proof_pieces_set
char | need_full_width
char | false_branch
bool | dag_terminal

## Additional Inherited Members

Public Types inherited from osl::checkmate::DfpnRecordBase
enum | ProofPiecesType { UNSET =0 , PROOF , DISPROOF }

## Detailed Description

Definition at line 57 of file dfpnRecord.h.

## Constructor & Destructor Documentation

## DfpnRecord() [1/2]

osl::checkmate::DfpnRecord::DfpnRecord | ( |  | ) |

inline

Definition at line 62 of file dfpnRecord.h.

## DfpnRecord() [2/2]

osl::checkmate::DfpnRecord::DfpnRecord | ( | PieceStand | black,
|  | PieceStand | white )

inline

Definition at line 63 of file dfpnRecord.h.

References osl::BLACK, stands, and osl::WHITE.

## Member Function Documentation

## disproof()

unsigned int osl::checkmate::DfpnRecord::disproof | ( |  | ) | const

inline

Definition at line 79 of file dfpnRecord.h.

References osl::checkmate::DfpnRecordBase::proof_disproof.

Referenced by osl::checkmate::Dfpn::proofOracleDefense().

## disproofPieces()

const PieceStand osl::checkmate::DfpnRecord::disproofPieces | ( |  | ) | const

inline

Definition at line 103 of file dfpnRecord.h.

References osl::checkmate::DfpnRecordBase::DISPROOF, osl::checkmate::DfpnRecordBase::proof_pieces, and osl::checkmate::DfpnRecordBase::proof_pieces_set.

Referenced by osl::checkmate::Dfpn::Node::setNoCheckmateDefense().

## proof()

unsigned int osl::checkmate::DfpnRecord::proof | ( |  | ) | const

inline

Definition at line 78 of file dfpnRecord.h.

References osl::checkmate::DfpnRecordBase::proof_disproof.

Referenced by osl::checkmate::Dfpn::proofOracleDefense().

## proofPieces()

const PieceStand osl::checkmate::DfpnRecord::proofPieces | ( |  | ) | const

inline

Definition at line 98 of file dfpnRecord.h.

References osl::checkmate::DfpnRecordBase::PROOF, osl::checkmate::DfpnRecordBase::proof_pieces, and osl::checkmate::DfpnRecordBase::proof_pieces_set.

Referenced by osl::checkmate::Dfpn::hasCheckmateMove(), and osl::checkmate::Dfpn::Node::setCheckmateAttack().

## setDisproofPieces()

void osl::checkmate::DfpnRecord::setDisproofPieces | ( | PieceStand | a | ) |

inline

Definition at line 89 of file dfpnRecord.h.

References osl::BLACK, osl::checkmate::DfpnRecordBase::DISPROOF, osl::checkmate::DfpnRecordBase::proof_pieces, osl::checkmate::DfpnRecordBase::proof_pieces_set, stands, osl::checkmate::DfpnRecordBase::UNSET, and osl::WHITE.

Referenced by osl::checkmate::Dfpn::setIllegal().

## setFrom()

void osl::checkmate::DfpnRecord::setFrom | ( | const DfpnRecordBase & | src | ) |

inline

Definition at line 65 of file dfpnRecord.h.

References osl::checkmate::DfpnRecordBase::dag_moves, osl::checkmate::DfpnRecordBase::dag_terminal, osl::checkmate::DfpnRecordBase::DfpnRecordBase(), osl::checkmate::DfpnRecordBase::false_branch, osl::checkmate::DfpnRecordBase::last_move, osl::checkmate::DfpnRecordBase::last_to, osl::checkmate::DfpnRecordBase::need_full_width, osl::checkmate::DfpnRecordBase::node_count, and osl::checkmate::DfpnRecordBase::solved.

Referenced by osl::checkmate::DfpnTable::List::findProofOracle(), and osl::checkmate::DfpnTable::List::probe().

## setProofPieces()

void osl::checkmate::DfpnRecord::setProofPieces | ( | PieceStand | a | ) |

inline

Definition at line 80 of file dfpnRecord.h.

References osl::BLACK, osl::checkmate::DfpnRecordBase::PROOF, osl::checkmate::DfpnRecordBase::proof_pieces, osl::checkmate::DfpnRecordBase::proof_pieces_set, stands, osl::checkmate::DfpnRecordBase::UNSET, and osl::WHITE.

## Member Data Documentation

## stands

CArray<PieceStand,2> osl::checkmate::DfpnRecord::stands

Definition at line 60 of file dfpnRecord.h.

Referenced by osl::checkmate::DfpnTable::addDag(), osl::checkmate::DfpnTable::List::addDag(), DfpnRecord(), setDisproofPieces(), setProofPieces(), osl::checkmate::DfpnTable::List::setWorking(), osl::checkmate::DfpnTable::setWorking(), osl::checkmate::DfpnTable::List::store(), and osl::checkmate::DfpnTable::store().

The documentation for this class was generated from the following file:

- dfpnRecord.h